Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport
Class AbstractTransport

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandlerSupport
          org.codehaus.xfire.transport.AbstractTransport

All Implemented Interfaces:
  HandlerSupport, ChannelFactory, Transport

Direct Known Subclasses:
  AbstractWSDLTransport, DeadLetterTransport, LocalTransport

    public abstract class AbstractTransport

extends AbstractHandlerSupport
implements Transport

Since:
  Dec 21, 2004
Author:
  Dan Diephouse

Constructor Summary
`AbstractTransport()`

Method Summary
`Channel` | `createChannel()` Create a channel with a new unique URI.
`Channel` | `createChannel(java.lang.String uri)` Create a channel with a specified URI.
`protected abstract Channel` | `createNewChannel(java.lang.String uri)`
`void` | `dispose()` Disposes all the existing channels.
`protected java.util.Map` | `getChannelMap()`
`protected abstract java.lang.String` | `getUriPrefix()`

Methods inherited from class org.codehaus.xfire.handler.AbstractHandlerSupport
`addFaultHandler, addInHandler, addOutHandler, getFaultHandlers, getInHandlers, getOutHandlers, setFaultHandlers, setInHandlers, setOutHandlers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.transport.Transport
`getKnownUriSchemes, getName`

Methods inherited from interface org.codehaus.xfire.handler.HandlerSupport
`getFaultHandlers, getInHandlers, getOutHandlers`

Constructor Detail

### AbstractTransport

    public AbstractTransport()

Method Detail

### dispose

    public void dispose()

  Disposes all the existing channels.

  Specified by:
    `dispose` in interface `Transport`

### createChannel

    public Channel createChannel()
                          throws java.lang.Exception

  Description copied from interface: `ChannelFactory`
  Create a channel with a new unique URI.

  Specified by:
    `createChannel` in interface `ChannelFactory`
  Returns:
    The channel.
  Throws:
    `java.lang.Exception` - Occurs if there was an exception creating or opening the channel.

### createChannel

    public Channel createChannel(java.lang.String uri)
                          throws java.lang.Exception

  Description copied from interface: `ChannelFactory`
  Create a channel with a specified URI.

  Specified by:
    `createChannel` in interface `ChannelFactory`
  Parameters:
    `uri` - The URI which represents this Channel's endpoint.
  Returns:
    The channel.
  Throws:
    `java.lang.Exception` - Occurs if there was an exception creating or opening the channel.

### getChannelMap

    protected java.util.Map getChannelMap()

### createNewChannel

    protected abstract Channel createNewChannel(java.lang.String uri)

### getUriPrefix

    protected abstract java.lang.String getUriPrefix()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.